
(function($){  
	$.fn.tinyTips = function () {				
		var overlay,hover;
		$(this).hover(function() {
			$(".tipoverlay,.tiphover").remove();
			overlay = $("<div/>")
	        overlay.attr("class","tipoverlay");
	        $(this).children("a").append(overlay);
	        hover = $("<div/>")
	        hover.attr("class","tiphover");
	        name = $(this).attr("name");
	        if(name.length > 11){
				name = name.substring(0,11) + '...';
			}
			
	        name += "<br/>";
	        name += $(this).attr("rel");
			name += "<br/>";
			name += $(this).attr('type');
	        hover.html(name);
	        $(this).children("a").append(hover);

		},function(){
		  overlay.remove();
		  hover.remove();
		});    
		
	}

})(jQuery);